Search contacts
curl --request GET \
--url https://dev-public-api.openphone.dev/contacts/search \
--header 'Authorization: <api-key>' \
--header 'Quo-Api-Version: <quo-api-version>'{
"data": [
{
"id": "6a145ff26212a192852c856e",
"createdAt": "2021-01-01T00:00:00Z",
"updatedAt": "2021-01-01T00:00:00Z",
"actorId": "US123abc",
"externalId": "1234567890",
"source": "public-api",
"sourceUrl": "https://example.com/contacts/001",
"firstName": "John",
"lastName": "Doe",
"company": "Quo",
"role": "admin"
}
],
"nextCursor": "eyJsYXN0SWQiOiJVU211a09NaXBhIn0"
}Contacts
Search contacts
Search contacts by free text and filters. A contact created or changed moments ago may not appear yet.
GET
/
contacts
/
search
Search contacts
curl --request GET \
--url https://dev-public-api.openphone.dev/contacts/search \
--header 'Authorization: <api-key>' \
--header 'Quo-Api-Version: <quo-api-version>'{
"data": [
{
"id": "6a145ff26212a192852c856e",
"createdAt": "2021-01-01T00:00:00Z",
"updatedAt": "2021-01-01T00:00:00Z",
"actorId": "US123abc",
"externalId": "1234567890",
"source": "public-api",
"sourceUrl": "https://example.com/contacts/001",
"firstName": "John",
"lastName": "Doe",
"company": "Quo",
"role": "admin"
}
],
"nextCursor": "eyJsYXN0SWQiOiJVU211a09NaXBhIn0"
}Headers
Query Parameters
Only return contacts at this company, matched exactly, including capitalization, such as company=Acme (it does not match Acme Inc or ACME). To match any of several, use company[in]=Acme,Globex. To match a company name loosely, put it in query.
Minimum string length:
1Example:
"Acme"
Was this page helpful?